varying vec3 lightDir,normal,tangent,binorm,halfv;
varying vec4 amb,dif,globalAmbient;
varying vec2 v_texCoord2D;

attribute vec3 vTangent;

void main()
{	
    v_texCoord2D = gl_MultiTexCoord0.st; 
    	
    lightDir = normalize(vec3(gl_LightSource[0].position));	
   	amb = gl_FrontMaterial.ambient*gl_LightSource[0].ambient;
	dif = gl_FrontMaterial.diffuse*gl_LightSource[0].diffuse;
    globalAmbient = gl_LightModel.ambient * gl_FrontMaterial.ambient;
    
    halfv=gl_LightSource[0].halfVector.xyz;
    
    normal = normalize(gl_NormalMatrix * gl_Normal);    
    tangent = vTangent;
	binorm = normalize(cross(normal,tangent));
    
    gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;       
}
