//A small class which calculates and store FPS

class FPScalculator {
    
    private:
        unsigned int frameCount, oldframeCount;
        float oldTime, measuredTime;
    
    public:
        float FPS, max, min;
        unsigned int updateRate;
        
        FPScalculator() { oldTime = 0.0f; frameCount = 0;
                            FPS = 0.0f; 
                            min = 10000000000.0f;
                            max = 0.0f;
                            updateRate = 1000;
                            measuredTime = 0.0f;
                        }
        ~FPScalculator() {}
        
        void FPScalculator::calcFPS(float ms) 
            { 
                  oldframeCount = frameCount;
                  frameCount++;
                  if(ms-measuredTime>updateRate)
                    {
                        FPS = 1000.0f*(float)(frameCount-oldframeCount)/(ms-oldTime);  
                        if(FPS<min) min = FPS;
                        else if(FPS>max) max = FPS;
                        measuredTime = ms;
                    }
                  oldTime = ms;
            };
};
               
