varying vec3 lightDir,normal,tangent,binorm,halfv;
varying vec4 amb,dif,globalAmbient;
varying vec2 v_texCoord2D;

void main (void)
{
   	float antal = 0.2;
	float bredd = 1.0/antal;

    float alpha =1.0;
	
	vec4 color = amb + globalAmbient;
	
	vec3 D = 0.4*(cos(10*v_texCoord2D.s)*cos(10*v_texCoord2D.t))*binorm;
	
	vec3 nynorm = normalize(normal+D);

	//Calculating dot product with the new normal. The angle of incomming light
	float NdotL = dot(lightDir,nynorm);
	
	//If NdotL > 0.0 will incomming light be reflected, 
    //resulting in specular and diffuse
	if (NdotL > 0.0) 
    {
        color+= dif*NdotL;
      	vec3 halfvec = normalize(halfv);
		// normalize halfv and then compute the 
		// cosine (dot product) with the newv normal 
		//Halfvec = vector between lightdirection and camera
		//NdotV angle between halfvector and normal, resulting in specular highlight
		float NdotHV = max(dot(nynorm, halfvec),0.0);
		color += gl_FrontMaterial.specular * 
					gl_LightSource[0].specular * 
					pow(NdotHV, gl_FrontMaterial.shininess);
	}
	
	
	float stepSize=0.1;
    gl_FragColor = color;
}	
